### Method

# GimpUi ProcedureDialog get_drawable_preview

#### Declaration [src]

    GtkWidget*
    gimp_procedure_dialog_get_drawable_preview (
      GimpProcedureDialog* dialog,
      const gchar* preview_id,
      GimpDrawable* drawable
    )

#### Description [src]

Gets or creates a new `GimpDrawablePreview` for `drawable`. If a widget with the `preview_id` has already been created for this procedure, it will be returned instead.

The `preview_id` ID can later be used together with property names to be packed in other containers or inside `dialog` itself.

#### Parameters

`preview_id`

  Type: `const gchar*`

  The ID of `GimpDrawablePreview`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`drawable`

  Type: `GimpDrawable`

  The `GimpDrawable`.

  The data is owned by the caller of the method.

#### Return value

Type: `GtkWidget`

The `GtkWidget` representing `preview_id`. The object belongs to `dialog` and must not be freed.

The data is owned by the instance.